// Home.vue

<template>

  <div media="screen and (max-width: 1920px) and (min-width:320px)">
    <div class="container">
      <div class="box">
        <h1 class="row list-title">{{homeDataList.title}}</h1>

        <h4 class="row list-subtitle">{{homeDataList.description}}</h4><br>

        <h4 class="row list-subtitle">{{homeDataList.lists[0].title}}</h4>

        <!-- LIST 1 -->
        <div class="row">
          <div class="column">
            <img :src="require(`../assets/roundel-copy-cat.png`)" style="width:50%"><br>
            {{homeDataList.lists[0].items[0].title}}
          </div>
          <div class="column">
            <img :src="require(`../assets/roundel-casino-island.png`)" style="width:50%"><br>
            {{homeDataList.lists[0].items[1].title}}
          </div>
          <div class="column">
            <img :src="require(`../assets/roundel-schlager-slotten.png`)" style="width:50%"><br>
            {{homeDataList.lists[0].items[2].title}}
          </div>
          <div class="column">
            <img :src="require(`../assets/roundel-cash-carry.png`)" style="width:50%"><br>
            {{homeDataList.lists[0].items[3].title}}
          </div>
        </div>

        <!-- LIST 2  -->

        <h4 class="row list-subtitle">{{homeDataList.lists[1].title}}</h4>


        <div class="row">
          <div class="column">
            <img :src="require(`../assets/roundel-cash-carry.png`)" style="width:50%"><br>
            {{homeDataList.lists[1].items[0].title}}
          </div>
          <div class="column">
            <img :src="require(`../assets/roundel-casino-island.png`)" style="width:50%"><br>
            {{homeDataList.lists[1].items[1].title}}
          </div>
          <div class="column">
            <img :src="require(`../assets/roundel-copy-cat.png`)" style="width:50%"><br>
            {{homeDataList.lists[1].items[2].title}}
          </div>
          <div class="column">
            <img :src="require(`../assets/roundel-schlager-slotten.png`)" style="width:50%"><br>
            {{homeDataList.lists[1].items[3].title}}
          </div>
        </div>


        <!--   LIST 3 -->

        <h4 class="row list-subtitle">{{homeDataList.lists[2].title}}</h4>


        <div class="row">

          <div class="column">
            <img :src="require(`../assets/roundel-schlager-slotten.png`)" style="width:50%"><br>
            {{homeDataList.lists[2].items[0].title}}
          </div>
          <div class="column">
            <img :src="require(`../assets/roundel-cash-carry.png`)" style="width:50%"><br>

            {{homeDataList.lists[2].items[1].title}}
          </div>
          <div class="column">
            <img :src="require(`../assets/roundel-copy-cat.png`)" style="width:50%"><br>
            {{homeDataList.lists[2].items[2].title}}
          </div>
          <div class="column">
            <img :src="require(`../assets/roundel-casino-island.png`)" style="width:50%"><br>
            {{homeDataList.lists[2].items[3].title}}
          </div>
        </div>

      </div>
    </div>
  </div>

</template>

<script>
  import axios from 'axios';

  export default {
    name: "Home",
    data() {
      return {
        homeDataList: [],

      };
    },

    mounted: function () {

      this.getHomeData()

    },
    methods: {

      getHomeData() {
        axios.get("data.json")

          .then(response => (this.homeDataList = response.data))

      },
    }
  };
</script>
<style scoped>
  html,
  body {
    height: 100%;
    padding: 0;
    margin: 0;
  }

  * {
    box-sizing: border-box;
  }

  .box {
    width:50%;
    height:80%;
    background-color: rgb(25, 30, 39);
    -webkit-text-fill-color: rgb(206, 194, 196);
    padding-bottom: 20px;
    -webkit-text-size-adjust: auto;
    font-family: monospace
  }

  .container {
    width: 100%;
    height: 100%;
    background-color: rgb(53, 113, 131);
    display: flex;
    justify-content: center;
    align-items: center;
  }

  h4 {
    line-height: 1.4;
    padding: 1;
  }

  .list-subtitle {
    display: flex;
    margin-top: 20px;
    margin-left: 20px;
    padding: 20px;
    font-size: 18px;
    font-style: italic;
  }

  .list-title {
    display: flex;
    margin-top: 20px;
    margin-left: 20px;
    margin-right: 20px;
    border-bottom: 2px solid #ccc;
    padding: 20px;
    font-size: 25px;

  }

  img {
    flex-grow: 1;
    border: 1px solid #ddd;
    border-radius: 50%;
    padding: 1px;
    width: 150px;
    align-items: center;

  }

  .row {
    display: flex;
    flex-wrap: wrap;
    padding: 3px;

  }

  @media screen and (max-width: 1920px) and (min-width:320px) {
    .column {
      flex: 25%;
      max-width: 25%;
    }
  }

  @media screen and (max-width: 480px) and (min-width:320px) {
    .column {
      flex: 50%;
      max-width: 50%;
    
    }
  }
</style>